/*
 * Provided by Jan Nijtmans from his tcl Plus-Patches
 */

#include <tcl.h>
#include <stdio.h>

/*
 * cvs version
 */
char *tclobj__eprintf_id = "$Id: _eprintf.c,v 1.1 1996/12/04 08:54:27 fp Exp $";


/* This is used by the `assert' macro.  */
void
__eprintf (string, expression, line, filename)
     CONST char *string;
     CONST char *expression;
     int line;
     CONST char *filename;
{
  fprintf (stderr, string, expression, line, filename);
  fflush (stderr);
  abort ();
}

